## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# We can’t run tests that access the network in koji, but this build
# conditional allows us to try them in local mock builds for added confidence:
#   fedpkg mockbuild --enable-network --with network_tests
%bcond network_tests 0

Name:           python-snakemake-storage-plugin-s3
Version:        0.2.11
Release:        %autorelease
Summary:        A Snakemake storage plugin for S3 API storage (AWS S3, MinIO, etc.)

# SPDX
License:        MIT
URL:            https://github.com/snakemake/snakemake-storage-plugin-s3
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md and
# the tests.
Source:         %{url}/archive/v%{version}/snakemake-storage-plugin-s3-%{version}.tar.gz
# Downstream-only: allow pre-2.0 urllib3 until it can be updated
# (https://bugzilla.redhat.com/show_bug.cgi?id=2143021).
Patch:          urllib3-v1.patch
# test: Fix tests for snakemake.settings reorganization
# https://github.com/snakemake/snakemake-storage-plugin-s3/pull/28
Patch:          %{url}/pull/28.patch

BuildArch:      noarch

BuildRequires:  python3-devel
# See: [tool.poetry.dev-dependencies] in pyproject.toml
BuildRequires:  %{py3_dist pytest}
BuildRequires:  snakemake >= 8

%global common_description %{expand:
A Snakemake storage plugin for S3 API storage (AWS S3, MinIO, etc.). For
documentation and usage instructions, see the Snakemake plugin catalog,
https://snakemake.github.io/snakemake-plugin-catalog/plugins/storage/s3.html.}

%description %{common_description}


%package -n python3-snakemake-storage-plugin-s3
Summary:        %{summary}

%description -n python3-snakemake-storage-plugin-s3 %{common_description}


%prep
%autosetup -n snakemake-storage-plugin-s3-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files snakemake_storage_plugin_s3


%check
# Just in case the tests are not very thorough:
%pyproject_check_import

%if %{without network_tests}
# The following tests require network access:
k="${k-}${k+ and }not (TestStorageNoSettings and test_storage)"
k="${k-}${k+ and }not (TestStorageNoSettings and test_storage_not_existing)"
k="${k-}${k+ and }not TestWorkflows"
%endif

%pytest -v -k "${k-}" tests/tests.py


%files -n python3-snakemake-storage-plugin-s3 -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 27 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.11-3
- Fix tests for snakemake.settings reorganization

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 0.2.11-2
- Rebuilt for Python 3.13

* Fri Apr 19 2024 Packit <hello@packit.dev> - 0.2.11-1
- Update to 0.2.11 upstream release
- Resolves: rhbz#2275833

* Sat Feb 17 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.10-2
- Allow pre-2.0 urllib3 until it can be updated

* Sat Feb 17 2024 Packit <hello@packit.dev> - 0.2.10-1
- [packit] 0.2.10 upstream release
- Resolves rhbz#2264656

* Fri Feb 16 2024 Packit <hello@packit.dev> - 0.2.9-1
- [packit] 0.2.9 upstream release
- Resolves rhbz#2264528

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.8-1
- Initial package (close RHBZ#2257687)
## END: Generated by rpmautospec
